#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "EChallengesMenuChallengeSetState.h"
#include "ChallengesMenuChallengeSetSubPresenter.generated.h"

class UChallengesMenuRitualsSubPresenter;
class UChallengesMenuRewardTrackSubPresenter;

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API UChallengesMenuChallengeSetSubPresenter : public USubPresenter
{
	GENERATED_BODY()

private:
	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	UChallengesMenuRitualsSubPresenter* _ritualsSubPresenter;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	UChallengesMenuRewardTrackSubPresenter* _rewardTrackSubPresenter;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	USubPresenter* _activeSubPresenter;

public:
	UFUNCTION(BlueprintCallable)
	void SetChallengeSetState(const EChallengesMenuChallengeSetState state);

public:
	UChallengesMenuChallengeSetSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UChallengesMenuChallengeSetSubPresenter) { return 0; }
